summaryrefslogtreecommitdiff
path: root/source3/script/installswat.sh
diff options
context:
space:
mode:
authorHerb Lewis <herb@samba.org>2001-01-12 21:47:01 +0000
committerHerb Lewis <herb@samba.org>2001-01-12 21:47:01 +0000
commit93261949f5f1f96c513d4651117ee0c462a46e63 (patch)
tree7ba1764016fda14c27e565dc7cdee28b8766185a /source3/script/installswat.sh
parent7237fd3c85458a4bb60cd30d91e4218d9ee162db (diff)
downloadsamba-93261949f5f1f96c513d4651117ee0c462a46e63.tar.gz
samba-93261949f5f1f96c513d4651117ee0c462a46e63.tar.bz2
samba-93261949f5f1f96c513d4651117ee0c462a46e63.zip
merge from 2.0 branch for installing Using Samba book files
(This used to be commit b04bd9ea2409ef02737fd570ce80daf167e41067)
Diffstat (limited to 'source3/script/installswat.sh')
-rwxr-xr-xsource3/script/installswat.sh76
1 files changed, 68 insertions, 8 deletions
diff --git a/source3/script/installswat.sh b/source3/script/installswat.sh
index ab760cb545..8afbc52eba 100755
--- a/source3/script/installswat.sh
+++ b/source3/script/installswat.sh
@@ -3,21 +3,23 @@
SWATDIR=$1
SRCDIR=$2/
+BOOKDIR=$3
echo Installing SWAT in $SWATDIR
-
echo Installing the Samba Web Administration Tool
for d in $SWATDIR $SWATDIR/help $SWATDIR/images $SWATDIR/include; do
-if [ ! -d $d ]; then
- mkdir $d
-if [ ! -d $d ]; then
- echo Failed to make directory $d, does $USER have privileges?
- exit 1
-fi
-fi
+ if [ ! -d $d ]; then
+ mkdir $d
+ if [ ! -d $d ]; then
+ echo Failed to make directory $d, does $USER have privileges?
+ exit 1
+ fi
+ fi
done
+# Install images
+
for f in $SRCDIR../swat/images/*.gif; do
FNAME=$SWATDIR/images/`basename $f`
echo $FNAME
@@ -25,13 +27,24 @@ for f in $SRCDIR../swat/images/*.gif; do
chmod 0644 $FNAME
done
+# Install html help
+
for f in $SRCDIR../swat/help/*.html; do
FNAME=$SWATDIR/help/`basename $f`
echo $FNAME
+ if [ "x$BOOKDIR" = "x" ]; then
+ cat $f | sed 's/@BOOKDIR@.*$//' > $f.tmp
+ else
+ cat $f | sed 's/@BOOKDIR@//' > $f.tmp
+ fi
+ f=$f.tmp
cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ rm -f $f
chmod 0644 $FNAME
done
+# Install html documentation
+
for f in $SRCDIR../docs/htmldocs/*.html; do
FNAME=$SWATDIR/help/`basename $f`
echo $FNAME
@@ -39,6 +52,8 @@ for f in $SRCDIR../docs/htmldocs/*.html; do
chmod 0644 $FNAME
done
+# Install "server-side" includes
+
for f in $SRCDIR../swat/include/*.html; do
FNAME=$SWATDIR/include/`basename $f`
echo $FNAME
@@ -46,6 +61,51 @@ for f in $SRCDIR../swat/include/*.html; do
chmod 0644 $FNAME
done
+# Install Using Samba book
+
+if [ "x$BOOKDIR" != "x" ]; then
+
+ # Create directories
+
+ for d in $BOOKDIR $BOOKDIR/figs $BOOKDIR/gifs; do
+ if [ ! -d $d ]; then
+ mkdir $d
+ if [ ! -d $d ]; then
+ echo Failed to make directory $d, does $USER have privileges?
+ exit 1
+ fi
+ fi
+ done
+
+ # HTML files
+
+ for f in $SRCDIR../docs/htmldocs/using_samba/*.html; do
+ FNAME=$BOOKDIR/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+ done
+
+ # Figures
+
+ for f in $SRCDIR../docs/htmldocs/using_samba/figs/*.gif; do
+ FNAME=$BOOKDIR/figs/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+ done
+
+ # Gifs
+
+ for f in $SRCDIR../docs/htmldocs/using_samba/gifs/*.gif; do
+ FNAME=$BOOKDIR/gifs/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+ done
+
+fi
+
cat << EOF
======================================================================
The SWAT files have been installed. Remember to read the swat/README